library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity mux6_1 is
    port (
        I_0    : in  std_logic_vector(5 downto 0);
        I_1    : in  std_logic_vector(5 downto 0);
        I_2    : in  std_logic_vector(5 downto 0);
        I_3    : in  std_logic_vector(5 downto 0);
        I_4    : in  std_logic_vector(5 downto 0);
        I_5    : in  std_logic_vector(5 downto 0);
        I_sel  : in  std_logic_vector(2 downto 0);
        O_mux6 : out std_logic_vector(5 downto 0)
        );

end mux6_1;

-------------------------------------------------------------------------

architecture a_mux6_1 of mux6_1 is
begin
    process(I_0, I_1, I_2, I_3, I_4, I_5, I_sel)
        begin
            case I_sel is
                when "000" =>
                    O_mux6 <= I_0;
                    
                when "001" =>
                    O_mux6 <= I_1;
                
                when "010" =>
                    O_mux6 <= I_2;
                
                when "011" =>
                    O_mux6 <= I_3;
                
                when "100" =>
                    O_mux6 <= I_4;
               
                when "101" =>
                    O_mux6 <= I_5;    
                
                when others =>
                    O_mux6 <= "000000";
          end case;
      end process;
end a_mux6_1;
